#
# spec file for package python-backports.unittest_mock
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-backports.unittest_mock
Version:        1.3
Release:        lp150.1.8
Summary:        Backports of unittest_mock
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/backports.unittest_mock
Source:         https://files.pythonhosted.org/packages/source/b/backports.unittest_mock/backports.unittest_mock-%{version}.tar.gz
BuildRequires:  python
# NOTE:
# %%{python_sitelib}/backports is a namespace package, and so under python 2 it must have a proper namespace __init__.py
# python-backports provides this __init__.py to prevent backports packages from conflicting.
# Please see:
#    https://pypi.python.org/pypi/backports/
#    https://www.python.org/dev/peps/pep-0420/%23namespace-packages-today
# If you need to link, the python-backports package is built as a subpackage of python-configparser
BuildRequires:  python-backports
BuildRequires:  python-mock
BuildRequires:  python-pytest
BuildRequires:  python-pytest-runner
BuildRequires:  python-setuptools
BuildRequires:  python-setuptools_scm
Requires:       python-backports
Requires:       python-mock
Provides:       python2-backports.unittest_mock = %{version}
BuildArch:      noarch

%description
Provides a function "install()" which makes the "mock" module
available as "unittest.mock" on Python 3.2 and earlier.
Also advertises a pytest plugin which configures unittest.mock
automatically.

%prep
%setup -q -n backports.unittest_mock-%{version}
rm -rf backports.unittest_mock.egg-info

%build
python2 setup.py build

%install
python2 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%check
PYTHONPATH=%{buildroot}%{python_sitelib} python2 %{_bindir}/py.test -v
rm %{buildroot}%{python_sitelib}/backports/__init__.py*

%files
%defattr(-,root,root)
%doc CHANGES.rst README.rst
%{python_sitelib}/backports/unittest_mock/
%{python_sitelib}/backports.unittest_mock-*

%changelog
* Mon Jul 10 2017 aloisio@gmx.com
- Update to version 1.3
  * Merge with skeleton.
  * Use pkgutil for backports namespace package.
  1.2.1:
  * Bump setuptools_scm and other skeleton updates, including:
    Drop support for setup.py build_sphinx because that usage
    conflicts with the usage required by readthedocs, which always
    runs the docs build from ./docs/ instead of ./. Also drop
    support for build_sphinx because the dependency resolution of
    that command relies on easy_install, which is also deprecated.
    The proper way to build docs now is to install the requirements
    in docs/requirements.txt and then invoke sphinx natively.
* Wed May 24 2017 jmatejek@suse.com
- do not build docs, they are available in official Python
  documentation
* Fri Mar 31 2017 toddrme2178@gmail.com
-  %%{python_sitelib}/backports is a namespace package, and so under
  python 2.x it must have a proper
  %%{python_sitelib}/backports/__init__.py file.
  python-backports provides this __init__.py to prevent backports
  packages from conflicting.
  Please see the following links for more details:
    https://pypi.python.org/pypi/backports/
    https://www.python.org/dev/peps/pep-0420/%%23namespace-packages-today
* Thu Mar 30 2017 toddrme2178@gmail.com
- Add python2 provides.
- Use the common __init__.py used by the python-backports package
  to avoid conflicts.
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Switch to Python2.
- Add build_sphinx.
- Minor spec cleanups.
* Sat Jul 16 2016 arun@gmx.de
- initial version
